User avatar
acolic

Posted Sun May 10, 2020 9:00 pm

Hi

Getting back into the game and picked up an A2000.

Can’t seem to lock down what is the latest kickstart and workbench I should be installing?

Thanks

Alex

User avatar
intric8
Seattle, WA, USA
Website

Posted Sun May 10, 2020 9:52 pm

Believe it or not, that's a slightly controversial topic! Hah!

If you want to play software from the 80s and early 90s, you might not need to install anything at all. If you want to try and bling it out with giant hard drives, 3.1.4 is the latest incarnation for that. It all depends on what you want to do.

It's sort of like a 1967 VW bug. Do you want to keep it vintage? Do you want to use period-appropriate upgrades? Do you want to make it more like a borg ship from 2020? It all depends of if you're into hardware, or software, or some mix in the middle.

User avatar
McTrinsic

Posted Sun May 10, 2020 11:34 pm

My answer would be: both :D

Get a KickROM-Switcher.

You can then install a contemporary Kick1.3 from back then AND get the recently upgraded 3.1.4.1.

I would expect that you will use Kick1.3 only every once in a while for the nice retro-Kick and use Kick/WB3.1[.x] with WHDLoad like 90% of your time.

While Kick1.3 would need to be sourced used, like, from ebay, you can still buy 3.1.4.1 new from various Amiga-shops.

Have fun,
McT





Return to “Software”